# H501DescriptorUpdate Class Reference

`#include <peclient.h>`

Inheritance diagram for H501DescriptorUpdate:

[legend]
Collaboration diagram for H501DescriptorUpdate:
[legend]

## Public Member Functions

| H501DescriptorUpdate (H323PeerElement &pe, const H501PDU &pdu)
virtual void | SetRejectReason (unsigned reasonCode)

## Data Fields

H501_DescriptorUpdate & | du
H501_DescriptorUpdateAck & | ack

## Protected Member Functions

virtual Response | OnHandlePDU ()

## Constructor & Destructor Documentation

H501DescriptorUpdate::H501DescriptorUpdate | ( | H323PeerElement & | pe,
|  | const H501PDU & | pdu |
| ) |  |  |

## Member Function Documentation

virtual Response H501DescriptorUpdate::OnHandlePDU | ( |  | ) | `[protected, virtual]`

Implements H323Transaction.

virtual void H501DescriptorUpdate::SetRejectReason | ( | unsigned | reasonCode | ) | `[virtual]`

Implements H323Transaction.

## Field Documentation

H501_DescriptorUpdateAck& H501DescriptorUpdate::ack

H501_DescriptorUpdate& H501DescriptorUpdate::du

The documentation for this class was generated from the following file:

- peclient.h